Mailinglist Archive: opensuse-security (220 mails)

< Previous Next >
Re: [suse-security] problems with YOU
  • From: Roman Drahtmueller <draht@xxxxxxx>
  • Date: Tue, 25 Nov 2003 02:53:52 +0100 (MET)
  • Message-id: <Pine.LNX.4.58.0311250252550.7352@xxxxxxxxxxxx>
> > If I download the files from the server ftp.suse.com, I get the following
> > message:
> >
> > "Cannot check patch cups-48667 because the GPG key is not installed or is
> > corrupted...
> > SuSE cannot guarantee that the packages were created by SuSE."
> >
> > My question is: How can I check, if I have installed the GPG-key,
> > and if I don't have any key or if I have a corrupted key, how can I restore
> > it.
> >
> --> Check for /root/.gnupg/suse_build_key
> This file is from the aaa_base on my SuSE 8.0 system
> (see "rpm -qf /root/.gnupg/suse_build_key")
>
> You could try to reinstall this package with "rpm -Uhv --force"

Newer products have a package called suse-build-key. De-install and
re-install it. That should help.

I would guess that removing root's .gnupg directory has caused the defect.


Roman.

< Previous Next >